
QGIS Application - Bug report #1393

Crash when using point vector layer with symbology "continuous colours"

2008-11-11 02:57 PM - bishopbr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11453

Description

Qgis 1.0.0 Kore preview 2 crashes consistently on Ubuntu 8.10. after installing update from the ppa.launchpad.net/jef-norbit/ubuntu/

repository, can reproduce crash when using continuous colour symbology. 

Qgis crashes after I have chosen Min and Max colours then pressed ok. Using "continuous colours" on a "elevation" attribute, with all

negative values.

Attached shp file for testing,

History

#1 - 2008-12-04 11:57 PM - Marco Hugentobler

I also observed this problem with different shape files. I think it has to do with the GDAL/OGR version that comes with ubuntu8.10. When I tried with a

self-compiled GDAL 1.6, the problem was gone.

Marco

#2 - 2008-12-05 09:20 AM - Maciej Sieczka -

I can't reproduce the crash either. Tried different min/max colors and classification fields.

QGIS trunk SVN . GDAL 1.6 SVN trunk  (today's). QT 4.4.3. Debian testing amd64.

#3 - 2008-12-08 01:42 PM - bishopbr -

Confirmed that fault goes away when using gdal 1.6.0 svn trunk and qgis unstable compiled on Ubuntu 8.10.

GDAL 1.6.0 has not been released yet, therefore can we get this version into Ubuntu 8.10 with the next preview release of Qgis?

Brian

#4 - 2009-03-21 09:15 AM - Paolo Cavallini

See also #1575

#5 - 2009-04-12 05:42 AM - Marco Hugentobler
- Status changed from Open to Closed

- Resolution set to wontfix

I'm closing this bug as it seems to be a problem of the ubuntu gdal package. Don't get me wrong, this does not mean it is not a problem. It's just that qgis

bugtracker is about bugs that can be fixed within the qgis codebase.

#6 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

Files

test_shp.tar.gz 164 KB 2008-11-11 bishopbr -

qgis_crash_trace.txt 5.96 KB 2008-11-11 bishopbr -
